Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.vmx
Class RoutineBase

    java.lang.Object
      de.grogra.xl.vmx.RoutineBase

All Implemented Interfaces:
  Routine

    public abstract class RoutineBase

extends java.lang.Object
implements Routine

Field Summary
`protected int` | `id`

Constructor Summary
`RoutineBase(int id, boolean javaParams, int paramSize, int jframeSize, int frameSize)`

Method Summary
`int` | `getFrameSize()` Computes the number of VMXState stack elements for the frame of this routine.
`int` | `getJavaFrameSize()` Computes the number of VMXState stack elements for the Java frame of this routine.
`int` | `getParameterSize()` Computes the number of VMXState stack elements for the parameters of this routine.
`boolean` | `hasJavaParameters()` Determines whether this routine expects its parameters on the Java frame or the normal frame.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.xl.vmx.Routine
`execute`

Field Detail

### id

    protected final int id

Constructor Detail

### RoutineBase

    public RoutineBase(int id,
                       boolean javaParams,
                       int paramSize,
                       int jframeSize,
                       int frameSize)

Method Detail

### getFrameSize

    public int getFrameSize()

  Description copied from interface: `Routine`
  Computes the number of VMXState stack elements for the frame of this routine. This includes the parameters, if any.

  Specified by:
    `getFrameSize` in interface `Routine`
  Returns:
    the size of the frame in terms of stack elements

### getJavaFrameSize

    public int getJavaFrameSize()

  Description copied from interface: `Routine`
  Computes the number of VMXState stack elements for the Java frame of this routine. This includes the parameters, if any.

  Specified by:
    `getJavaFrameSize` in interface `Routine`
  Returns:
    the size of the Java frame in terms of stack elements

### getParameterSize

    public int getParameterSize()

  Description copied from interface: `Routine`
  Computes the number of VMXState stack elements for the parameters of this routine.

  Specified by:
    `getParameterSize` in interface `Routine`
  Returns:
    the number of stack elements for parameters

### hasJavaParameters

    public boolean hasJavaParameters()

  Description copied from interface: `Routine`
  Determines whether this routine expects its parameters on the Java frame or the normal frame.

  Specified by:
    `hasJavaParameters` in interface `Routine`
  Returns:
    `true` iff parameters are expected on the Java frame

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD